# classes/phing/system/io/Writer.php

Abstract class for writing character streams.

package
  phing.system.io

## \Writer
jump to top

Abstract class for writing character streams.

package
  phing.system.io

### Methods

`close( ) :`
abstractClose the stream.
Details

throws
  - if there is an error closing stream.

`flush( ) :`
Flush the stream, if supported by the stream.
`getResource( ) : string`
abstractReturns a string representation of resource filename, url, etc. that is being written to.
Returns

Type | Description
--- | ---
string |

`write( string $buf, int $off = null, int $len = null ) :`
abstractWrites data to output stream.
Parameters

Name | Type | Description
--- | --- | ---
$buf | string |
$off | int |
$len | int |

Documentation was generated by DocBlox 0.13.1.